Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Sample request:
POST /purchaseorders
{
"external_purchase_order_id": "external purchase order id",
"reference_purchase_order_id": 1,
"status": {
"id": 1
},
"outlet": {
"id": 1
},
"supplier": {
"id": 1
},
"sailed": "2021-08-21",
"deposit_due": "2021-08-21",
"balance_due": "2021-08-21",
"supplier_comments": "supplier_comments",
"purchase_order_template": "purchase order template",
"update_linked_transfers_on_receipt_to": "Allocate",
"autoreplenishment_invoice_number": "100001",
"autoreplenishment_invoice_reference": "autoreplenishment invoice reference",
"original_departure": "2021-08-21",
"eta": "2021-08-21",
"container_number": "container number",
"deliver_to": "container number",
"shipping_status": {
"id": 1
},
"shipping_type": {
"id": 1
},
"shipping_port": {
"id": 1
},
"country_of_origin": {
"id": 2
},
"shipping_terms": "shipping terms",
"payment_terms": "payment terms",
"invoice_documents": "invoice documents",
"packing_list_documents": "packing list documents",
"packing_declaration_documents": "packing declaration documents",
"fumes_documents": "fumes documents",
"certificate_of_original_documents": "certificate of original documents",
"bill_of_lading_documents": "bill of lading documents",
"internal_comments": "internal comments",
"deposit": 0.1,
"fob_currency": {
"id": 1
},
"sent_on": "2021-08-21",
"purchase_order_items":
[
{
"product": {
"id" : 124001
},
"quantity_ordered": 1,
"supplier_buy_ex": 1.1,
"quantity_received": 1
}
]
}
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Purchase Order model
Purchase Order created
Purchase order model
Purchase order id
External purchase order id
Reference purchase order id
Purchase order status model
Purchase order supplier model
Sailed date
Deposit due date
balance due date
Supplier comments
Purchase order template
Update linked transfers on receipt to
Avalable values are: qty_allocated or Allocate, qty_picked or Pick, qty_dispatched or Dispatch
Can be updated only when PO has status Incomplete, OnOrder, ReceivingInProgress
Autoreplenishment invoice number
Autoreplenishment invoice reference
Original departure
Eta
Container number
Deliver to
Purchase order shipping status model
Purchase order shipping type model
Purchase order shipping port model
Shipping terms
Payment terms
Invoice documents
Packing list documents
Packing declaration documents
Fumes documents
Certificate of original documents
Bill of lading documents
Internal comments
Supplier Invoice Number
Deposit
Purchase Order Item
Total weight
Total cubic
Total quantity special order
Total quantity received
Total quantity remaining
Total quantity cancelled
Total quantity ordered
Total supplier buy ex
Total quantity linked transfers
Created on
Modified on
Sent on
Received on
Searches Purchase Orders by parameters
Filter by.
Available field name values: id, external_purchase_order_id, reference_purchase_order_id, status, outlet, supplier, eta, created_on, modified_on, product_id, created_by_id, created_by_first_name, created_by_surname
In string values: ‘|’ and ‘,’ characters have to be escaped with slash, i.e. ‘\,’ ‘\|’
For operators that support multiple values (in, notin): multiple values are delimited using ‘|’ character
Available operators:
eq - Equal
neq - Not equals
lt - Less
lte - Less or equal
gt - Greater
gte - Greater or equal
in - In
notin - Not In
contains - Contains
isnull - Is Null
isnullorempty - Is Null Or Empty
isnotnull - Is Not Null
startswith - Starts with
endswith - Ends with
doesnotcontain - Does not contain
For non-nullable fields operators isnull and isnotnull are unavailable
For dates operators: contains, startswith, endswith, doesnotcontain, isnullorempty are unavailable
For strings operators: lt, lte, gt, gte are unavailable
Example: id:gte:1,outlet:in:outlet1|outlet2
Order by.
Available field name values: id, status, outlet, supplier, eta, created_on, modified_on, created_by_id, created_by_first_name, created_by_surname
Available direction values: asc, desc.
Example: id asc, supplier desc
Include items
>= 1<= 100000
>= 1<= 2147483647
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Paging Response with Purchase Orders data
Purchase order model
Searches Purchase Order Items by Purchase Order id and other parameters
Filter by.
Available field name values: quantity_on_order, quantity_received, quantity_ordered, quantity_received_variance, quantity_cancelled, variance_reason_id, po_item_id, product_id, supplier_sku, supplier_sku2, manufacturer_sku, short_description, length, breadth, depth, cubic, total_cubic, carton_quantity, weight, total_weight, rrp_inc, sell_price_inc, product_type, size mapped to value name, colour mapped to value name, brand mapped to value name, season mapped to value name, custom1, custom2, custom3, gross_profit, mark_up, quantity_available, quantity_special_order, quantity_remaining, supplier_buy_ex, total_supplier_buy_ex, attribute, supplier_id, supplier_code, supplier_name, attribute:Id, msl, modified_on, created_on, pricing_sell_price_inc, pricing_promotional_price_inc, pricing_promotional_price_start, pricing_promotional_price_end, is_linked_to_transfer.
In string values: ‘|’ and ‘,’ characters have to be escaped with slash, i.e. ‘\,’ ‘\|’
For operators that support multiple values (in, notin): multiple values are delimited using ‘|’ character
Available operators:
eq - Equal
neq - Not equals
lt - Less
lte - Less or equal
gt - Greater
gte - Greater or equal
in - In
notin - Not In
contains - Contains
isnull - Is Null
isnullorempty - Is Null Or Empty
isnotnull - Is Not Null
startswith - Starts with
endswith - Ends with
doesnotcontain - Does not contain
For non-nullable fields operators isnull and isnotnull are unavailable
For dates operators: contains, startswith, endswith, doesnotcontain, isnullorempty are unavailable
For strings operators: lt, lte, gt, gte are unavailable
Example: quantity_on_order:eq:2, attribute:101:isnotnull, attribute:101:eq:Custom Attribute Value 123
Order by.
Available field name values: quantity_on_order, quantity_received, quantity_ordered, quantity_received_variance, quantity_cancelled, variance_reason_id, po_item_id, product_id, supplier_sku, supplier_sku2, manufacturer_sku, short_description, length, breadth, depth, cubic, total_cubic, carton_quantity, weight, total_weight, rrp_inc, sell_price_inc, product_type, size, colour, custom1, custom2, custom3, gross_profit, mark_up, quantity_available, quantity_special_order, quantity_remaining, total_supplier_buy_ex, brand, season, attribute, supplier_code, supplier_name, attribute:Id, msl, modified_on, created_on, pricing_sell_price_inc, pricing_promotional_price_inc, pricing_promotional_price_start, pricing_promotional_price_end, is_linked_to_transfer.
Available direction values: asc, desc.
Example: quantity_received_variance asc, quantity_on_order desc, attribute:101
Select fields.
Available field name values: id, po_id, quantity_remaining, quantity_ordered, quantity_received, quantity_cancelled, quantity_special_order, quantity_back_order, quantity_received_variance, supplier_buy_ex, product_id, product_supplier_buy_ex.
Example: id
>= 1<= 100000
>= 1<= 2147483647
Purchase Order id
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Paging Response with Purchase Order Items data
Purchase Order Item
Deletes specific Purchase Order Item by id
Purchase Order id
Purchase Order Item id
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Purchase Order Item was deleted